﻿/*
 * XPT2046_TP_Draw_SW.h
 *
 *  Created on: 2025/02/25
 *      Author: egaono-electronics
 */

#ifndef XPT2046_TP_DRAW_SW_H_
#define XPT2046_TP_DRAW_SW_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//----------------------------------------------------------
// タッチパネルのスイッチ描画
//----------------------------------------------------------
// 文字を四角で囲む。
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// uint8_t uint8_Oblong : 縦長/横長
//    0 : Lengthwise : 縦長 左
//    1 : Lengthwise : 縦長 右
//    2 : WidthwiseL : 横長 左
//    3 : WidthwiseR : 横長 右

// uint16_t uint16_Font : font指定
//    0 : 8 x 8 font : ASCII
//    1 : 16 x 16 font : ASCII
//    2 : 32 x 32 font : ASCII
//    3 : 48 x 48 font : ASCII

// uint8_t uint8_Type : 表示選択
//      0 : 通常表示
//      1 : 反転表示

// uint32_t uint32_ColorCode : カラーコード

// uint16_t uint16_StartX : 表示開始位置X
// uint16_t uint16_StartY : 表示開始位置Y

// uint16_t uint16_Length : 表示文字数
// uint8_t *puint8_aData :
//          表示文字コードが格納されているBufferのポインタ


// 戻り値;
//   -1 : 処理中
//    0 : OK終了
//    1 : NG終了
//----------------------------------------------------------
int16_t XPT2046_TP_Draw_SW(uint8_t *puint8_JobNum,
            uint8_t uint8_Oblong, uint16_t uint16_Font,
            uint8_t uint8_Type, uint32_t uint32_ColorCode,
            uint16_t uint16_StartX, uint16_t uint16_StartY,
            uint16_t uint16_Length, uint8_t *puint8_aData);



#endif /* XPT2046_TP_DRAW_SW_H_ */
